import React from 'react';
export declare type Timestamp = number;
export declare type FoundationMessageUI = 'error' | 'informative';
export interface FoundationMessageType {
    text: React.ReactNode;
    timestamp: Timestamp;
    ui: FoundationMessageUI;
}
export interface FoundationMessageProps {
    text: React.ReactNode;
    ui: FoundationMessageUI;
}
export interface FoundationMessageBarContextType {
    hide: () => void;
    messages: FoundationMessageType[];
    show: (text: string, ui: FoundationMessageUI) => void;
}
